Page MenuHomePhabricator

[Migrated] AWB Updater: ZipException in ZipFile.ReadEntries
Closed, ResolvedPublic

Description

Exception:

ZipException

Message:

Cannot find central directory

Call stack:

at ICSharpCode.SharpZipLib.Zip.ZipFile.ReadEntries()
at ICSharpCode.SharpZipLib.Zip.ZipFile..ctor(String name)
at ICSharpCode.SharpZipLib.Zip.FastZip.ExtractZip(String zipFileName, String targetDirectory, Overwrite overwrite, ConfirmOverwriteDelegate confirmDelegate, String fileFilter, String directoryFilter, Boolean restoreDateTime)
at AwbUpdater.Updater.Extract(String file)

@Rhododendrites 18:56, 2 June 2015 (UTC)

OS: Microsoft Windows NT 6.1.7601 Service Pack 1
Version: AWBUpdater (2.0.2.1), AWBUpdater (2.0.2.1) | net = 2.0.50727.5485

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: AutoWikiBrowser.
Reguyla moved this task to General bugs (unsorted) on the AutoWikiBrowser board.
Reguyla updated the task description. (Show Details)Jun 2 2015, 7:34 PM
Reguyla set Security to None.
Reguyla added subscribers: Reedy, Magioladitis, Rjwilmsi.

@Reguyla I automatically get all emails of AutoWikibrowser. No need to add me as subscriber.

Oh ok sorry, good to know.

Rjwilmsi renamed this task from [Migrated] ZipException in ZipFile.ReadEntries to [Migrated] AWB Updater: ZipException in ZipFile.ReadEntries.Jun 23 2015, 4:38 PM

Bug appeared agan, per @konggaru. https://en.wikipedia.org/wiki/Wikipedia_talk:AutoWikiBrowser/Bugs#ZipException_in_ZipFile.ReadEntries

  • Microsoft Windows NT 6.2.9200.0
  • .NET 2.0.50727.8009
  • AWBUpdater (2.0.2.1), AWBUpdater (2.0.2.1)

Two more reports at Wikipedia talk:AutoWikiBrowser/Bugs

CrocoboyMr0

  • Microsoft Windows NT 6.1.7601 Service Pack 1
  • .NET 2.0.50727.5420
  • AWB version AWBUpdater (2.0.2.1), AWBUpdater (2.0.2.1)

Asassin 1

  • Microsoft Windows NT 6.2.9200.0
  • .NET 2.0.50727.6387
  • AWB version AWBUpdater (2.0.2.1), AWBUpdater (2.0.2.1)

(What all reports have in common:

  • Microsoft Windows NT 6.*
  • .NET 2.0.50727.*
  • AWBUpdater (2.0.2.1)

)

So they all have Windows Vista....

site is down
http://sourceforge.net/error-404.html

That's why. I can duplicate the bug right now.

<div id="page-body">

<div id="message-image-404" class="message-image">?</div>

<section id="twitter">
    <img id="twitter-bird" src="//a.fsdn.com/sorry/twitter_bird.png" alt="Twitter Bird" />
    <div id="message-bubble">
        <a class="twitter-timeline" data-dnt="true" href="https://twitter.com/sfnet_ops"  data-widget-id="347335110670049280" data-tweet-limit="1" width="330" height="115" data-chrome="nofooter noborders noscrollbar">Tweets by @sfnet_ops</a>
        <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
    </div>
</section>

<h2 class="error">The sourceforge.net website is temporarily in static offline mode.<br />Only a very limited set of project pages are available until the main website returns to service.</h2>

From forums: "I corrected my issue by checking for the File to exist, if it did, I just used the ZipFile class."

@Josve05 We know the source of the problem. No need to copy every single report ;)

I went to http://sourceforge.net/projects/autowikibrowser/files/ and I found latest version of AWB is 5560. I know latest version of AWB is 5570 but I couldn't find 5570 version. Even I couldn't download 5560 version in sourceforge. when I tried to download, it just refrashed. I think it is reason of this bug.

Reedy added a comment.Jul 17 2015, 6:56 PM

I went to http://sourceforge.net/projects/autowikibrowser/files/ and I found latest version of AWB is 5560. I know latest version of AWB is 5570 but I couldn't find 5570 version. Even I couldn't download 5560 version in sourceforge. when I tried to download, it just refrashed. I think it is reason of this bug.

No, it's not. SF was down, and serving a HTML file when trying to download the zip. It seems it might have disappeared from SF after their outage, as it was there previously. People who downloaded it had another issue with an out of date library

Josve05a updated the task description. (Show Details)Jul 17 2015, 7:51 PM
konggaru added a comment.EditedJul 24 2015, 12:37 PM

I went to http://sourceforge.net/projects/autowikibrowser/files/ and I found latest version of AWB is 5560. I know latest version of AWB is 5570 but I couldn't find 5570 version. Even I couldn't download 5560 version in sourceforge. when I tried to download, it just refrashed. I think it is reason of this bug.

My bug ( https://en.wikipedia.org/wiki/Wikipedia_talk:AutoWikiBrowser/Bugs#ZipException_in_ZipFile.ReadEntries ) is solved now. I tested AWB updater and AWB was updated. I didn't download new files, but I just tested it with same file. My OS, .net version, AWB version and AWB updater version is same.

I think the reason of ZipException is the problem of SourceForge.

Magioladitis closed this task as Resolved.Oct 26 2015, 4:03 PM
Magioladitis claimed this task.

Resolved. SF is up.